> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enad.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a customer group

> Update a customer group for customer specific pricing.



## OpenAPI

````yaml /swagger/management-api.json put /api/v1/{team_slug}/{app_slug}/customer-groups/{customer_group_id}
openapi: 3.0.0
info:
  contact:
    email: support@enad.io
    name: API support
    url: http://enad.io/support
  description: This is the documentation for Public API v1
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://enad.io/terms/
  title: Public API
  version: '1.0'
servers:
  - url: //api.enad.io
security: []
paths:
  /api/v1/{team_slug}/{app_slug}/customer-groups/{customer_group_id}:
    put:
      tags:
        - CustomerGroups
      summary: Update a customer group
      description: Update a customer group for customer specific pricing.
      parameters:
        - description: App slug
          in: path
          name: app_slug
          required: true
          schema:
            type: string
        - description: Team slug
          in: path
          name: team_slug
          required: true
          schema:
            type: string
        - description: Customer Group ID
          in: path
          name: customer_group_id
          required: true
          schema:
            type: string
      requestBody:
        $ref: >-
          #/components/requestBodies/internal_pkg_webserver_v1.InputCustomerGroup
      responses:
        '200':
          description: customer group updated successfully
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/internal_pkg_webserver_v1.OkResponse-github_com_enadhq_nabbit_internal_pkg_webserver_models_CustomerGroup
        '400':
          description: Invalid request (e.g. bad payload, validation error)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '401':
          description: Unauthorized access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '409':
          description: Conflict (e.g. already exists)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
      security:
        - BearerAuth: []
components:
  requestBodies:
    internal_pkg_webserver_v1.InputCustomerGroup:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/internal_pkg_webserver_v1.InputCustomerGroup'
      description: customer group details
      required: true
  schemas:
    internal_pkg_webserver_v1.OkResponse-github_com_enadhq_nabbit_internal_pkg_webserver_models_CustomerGroup:
      properties:
        data:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.CustomerGroup
        details:
          description: >-
            Additional contextual information about the response. Used to
            provide supplementary details beyond the main data payload, such as
            validation warnings or processing notes
          items:
            type: string
          type: array
        success:
          type: boolean
      type: object
    internal_pkg_webserver_v1.ErrorMessage:
      properties:
        details:
          items:
            type: string
          type: array
        message:
          type: string
        success:
          type: boolean
      type: object
    internal_pkg_webserver_v1.InputCustomerGroup:
      properties:
        discount_percentage:
          type: integer
        discount_percentage_decimals:
          type: integer
        name:
          type: string
        slug:
          type: string
        store_group_id:
          type: string
        type:
          type: string
      required:
        - name
        - slug
        - store_group_id
        - type
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.CustomerGroup:
      properties:
        app_id:
          type: string
        created_at:
          type: string
        discount_percentage:
          type: integer
        discount_percentage_decimals:
          type: integer
        id:
          type: string
        name:
          type: string
        slug:
          type: string
        store_group_id:
          type: string
        type:
          type: string
        updated_at:
          type: string
      type: object

````